services:
  app.listener.entity.advert_gift_listener:
    class: App\Listener\Entity\AdvertGiftListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Offer\AdvertGift, event: prePersist, lazy: true }
    arguments:
      [ '@Symfony\Bundle\SecurityBundle\Security' ]